#!/bin/bash

DIR=$(head -n 1 debian/changelog | perl -pe 's#\)##' | perl -pe 's#(\d)-.*#$1#' | perl -pe 's# \(#-#')
VERSION=$(echo $DIR | sed 's/.*-//')

GSHOWTV_VERSION=$(egrep 'our *\$VERSION' lib/GShowTV/Constants.pm | sed 's/[^0-9\.]//g')

if [ "$GSHOWTV_VERSION" != "$VERSION" ] ; then
	echo "Changelog version ($VERSION) is not the same as gshowtv version ($GSHOWTV_VERSION)!"
	exit 1
fi

TOOLBAR_CHECK=$(grep toolbar_style gshowtv.glade)
if [ "$TOOLBAR_CHECK" != "" ] ; then
	echo "Toolbar has style set, remove it and retry."
	exit 1
fi

fakeroot debian/rules clean
dpkg-buildpackage -tc -rfakeroot -ICVS -Iupload -I.settings -I.project -I.includepath -I'*.tar.gz' -Igshowtv.pl -I.metadata
rename 's/_i386.changes/_all.changes/' ../*_i386.changes
 
echo "Running linda to verify the archive"

linda ../gshowtv_*.deb

echo "Check the result tar.gz file for files that shouldn't be there"

if [ ! -d upload ] ; then
	mkdir upload
else
	rm -fr upload/gshowtv*
fi

mv ../*.deb upload/
mv ../*.changes upload/
mv ../*.tar.gz upload/
mv ../*.dsc upload/

cp upload/gshowtv*.tar.gz gshowtv-$VERSION.tar.gz

echo "Results are in the upload/ dir and the sf.net tar is in current dir."
